dofile("Mods/aircraft/SA342/Cockpit/devices.lua")
dofile("Mods/aircraft/SA342/Cockpit/command_defs.lua")

return {

keyCommands = {

-- Flight Test
-- {combos = {{key = 'F', reformers = {'RCtrl'}}}, down = iCommandPlaneNav_THeadingTimeRangeF, name = _('SA342 Show Flight Test indicator') , category = 'Flight Test'},
-- {combos = {{key = 'Up'}}, down = iCommandPlaneNav_PB0, name = _('SA342 Line Up'), category = 'Flight Test'},
-- {combos = {{key = 'Down'}}, down = iCommandPlaneNav_PB1, name = _('SA342 Line Down'), category = 'Flight Test'},
-- {combos = {{key = 'Num+'}}, down = iCommandPlaneNav_PB2, name = _('SA342 Value Up'), category = 'Flight Test'},
-- {combos = {{key = 'Num-'}}, down = iCommandPlaneNav_PB3, name = _('SA342 Value Down'), category = 'Flight Test'},
-- {combos = {{key = 'Num+', reformers = {'LShift'}}}, down = iCommandPlaneNav_PB4, name = _('SA342 Shift Value Up'), category = 'Flight Test'},
-- {combos = {{key = 'Num-', reformers = {'LShift'}}}, down = iCommandPlaneNav_PB5, name = _('SA342 Shift Value Down'), category = 'Flight Test'},
-- {combos = {{key = 'Num+', reformers = {'LCtrl'}}}, down = iCommandPlaneNav_PB6, name = _('SA342 Ctrl Value Up'), category = 'Flight Test'},
-- {combos = {{key = 'Num-', reformers = {'LCtrl'}}}, down = iCommandPlaneNav_PB7, name = _('SA342 Ctrl Value Down'), category = 'Flight Test'},
-- {combos = {{key = 'Num+', reformers = {'LAlt'}}}, down = iCommandPlaneNav_PB8, name = _('SA342 Alt Value Up'), category = 'Flight Test'},
-- {combos = {{key = 'Num-', reformers = {'LAlt'}}}, down = iCommandPlaneNav_PB9, name = _('SA342 Alt Value Down'), category = 'Flight Test'},

-- DEBUG
-- {combos = {{key = 'D', reformers = {'LCtrl'}}}, down = iCommandPlaneNav_Wind, name = _('SA342 DEBUG Show'), category = 'DEBUG'},

 --RaDAR ALTIMETER
{ down = 3002, up = 3002, cockpit_device_id = 18, value_down = 1, value_up = 1, name = "SA342 Radar Alt on", category = "SA342 .RADAR_ALTIMETER"},
{ down = 3002, up = 3002, cockpit_device_id = 18, value_down = 0, value_up = -0.1, name = "SA342 Radar Alt off", category = "SA342 .RADAR_ALTIMETER"},
{ down = 3001, up = 3001, cockpit_device_id = 18, value_down = 0.1, value_up = 0.1, name = "SA342 Radar Alt Bug+", category = "SA342 .RADAR_ALTIMETER"},
{ down = 3001, up = 3001, cockpit_device_id = 18, value_down = -0.1, value_up = -0.1, name = "SA342 Radar Alt Bug-", category = "SA342 .RADAR_ALTIMETER"},

--HORIZON ARTIFICIELLE 
{ down = 3002, up = 3002, cockpit_device_id = 9, value_down = 1, value_up = -1, name = " SA342 HA Unlock ", category = "SA342 HORIZON ARTIFICIELLE"},
{ down = 3001, up = 3001, cockpit_device_id = 9, value_down = 1, value_up = 1, name = "SA342 HA Rot +", category = "SA342 HORIZON ARTIFICIELLE"},
{ down = 3001, up = 3001, cockpit_device_id = 9, value_down = -1, value_up = -1, name = "SA342 HA Rot -", category = "SA342 HORIZON ARTIFICIELLE"},

--HORIZON ARTIFICIELLE secours

{ down = 3004, up = 3004, cockpit_device_id = 9, value_down = 1, value_up = -1, name = " SA342 HA secours Unlock", category = "SA342 H A secours"},
{ down = 3003, up = 3003, cockpit_device_id = 9, value_down = 1, value_up = 1, name = "SA342 HA secours Rot +", category = "SA342 H A secours"},
{ down = 3003, up = 3003, cockpit_device_id = 9, value_down = -1, value_up = -1, name = "SA342 HA secours Rot -", category = "SA342 H A secours"},

--BARO_ALTIMETER

{ down = 3001, up = 3001, cockpit_device_id = 19, value_down = 0, value_up = 0.1, name = "SA342 BARO_ALTIMETER Rot +", category = "BARO_ALTIMETER"},
{ down = 3001, up = 3001, cockpit_device_id = 19, value_down = -0.1, value_up = -0.1, name = "SA342 BARO_ALTIMETER Rot -", category = "BARO_ALTIMETER"},


-- [WP1]
{down = device_commands.Button_16, cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Weapons Arm Down'), category = _('SA342 Weapons Panel')},
{down = device_commands.Button_17, cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Weapons Arm Up'), category = _('SA342 Weapons Panel')},

-- [WP2]
{down = device_commands.Button_21,cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Left Arm Toggle'), category = _('SA342 Weapons Panel')},
{down = device_commands.Button_22,cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Left Arm Cover Toggle'), category = _('SA342 Weapons Panel')},
{down = device_commands.Button_23,cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Right Arm Toggle'), category = _('SA342 Weapons Panel')},
{down = device_commands.Button_24,cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Right Arm Cover Toggle'), category = _('SA342 Weapons Panel')},
{down = device_commands.Button_25,cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 RIPPLE/SINGLE Toggle'), category = _('SA342 Weapons Panel')},

-- [PILOTSIGHT]
{combos = {{key = 'I'}}, down = device_commands.Button_3, up = device_commands.Button_3,cockpit_device_id = devices.WEAPONS, value_down = 1, name = _('SA342 Pilot Sight Deploy/Retract'), category = _('SA342 Pilot Sight')},


            
-- [TV]
{down = device_commands.Button_5, up = device_commands.Button_5,cockpit_device_id = devices.TV, value_down = 1, name = _('SA342 TV On/Off'), category = _('SA342 TV')},
{down = device_commands.Button_6, up = device_commands.Button_7,cockpit_device_id = devices.TV, value_down = 1, value_up = 0, name = _('SA342 TV Contrast+'), category = _('SA342 TV')},
{down = device_commands.Button_8, up = device_commands.Button_9,cockpit_device_id = devices.TV, value_down = 1, value_up = 0, name = _('SA342 TV Contrast-'), category = _('SA342 TV')},
{down = device_commands.Button_10, up = device_commands.Button_11,cockpit_device_id = devices.TV, value_down = 1, value_up = 0, name = _('SA342 TV Brightness+'), category = _('SA342 TV')},
{down = device_commands.Button_12, up = device_commands.Button_13,cockpit_device_id = devices.TV, value_down = 1, value_up = 0, name = _('SA342 TV Brightness-'), category = _('SA342 TV')},
{down = device_commands.Button_14, up = device_commands.Button_15,cockpit_device_id = devices.TV, value_down = 1, value_up = 0, name = _('SA342 TV Cover+'), category = _('SA342 TV')},
{down = device_commands.Button_16, up = device_commands.Button_17,cockpit_device_id = devices.TV, value_down = 1, value_up = 0, name = _('SA342 TV Cover-'), category = _('SA342 TV')},

-- MAIN PANEL
{down = device_commands.Button_21,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Battery On/Off'), category = _('SA342 Main Panel')},
{down = device_commands.Button_22,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Alternator On/Off'), category = _('SA342 Main Panel')},
{down = device_commands.Button_23,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Generator On/Off'), category = _('SA342 Main Panel')},
{down = device_commands.Button_22,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Magnetic brake On/Off'), category = _('SA342 Main Panel')},
{combos = {{key = 'W', reformers = {'RAlt'}}} , down = iCommandSwitchMasterArm, name = _('SA342 Master arm On/Off'), category = _('SA342 Main Panel')},
{down = device_commands.Button_24,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Pitot On/Off'), category = _('SA342 Main Panel')},
{down = device_commands.Button_25, cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Pilot Wiper Up'), category = _('SA342 Main Panel')},
{down = device_commands.Button_26, cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Pilot Wiper Down'), category = _('SA342 Main Panel')},
{down = device_commands.Button_27,  up = device_commands.Button_28, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Pilot Wiper L/A'), category = _('SA342 Main Panel')},
{down = device_commands.Button_29,  up = device_commands.Button_28, cockpit_device_id = devices.ELECTRIC, value_down = -1, value_up = 0,name = _('SA342 Pilot Wiper R/A'), category = _('SA342 Main Panel')},
{down = device_commands.Button_30, cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Copilot Wiper Up'), category = _('SA342 Main Panel')},
{down = device_commands.Button_31, cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Copilot Wiper Down'), category = _('SA342 Main Panel')},
{down = device_commands.Button_32,  up = device_commands.Button_33, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Copilot Wiper L/A'), category = _('SA342 Main Panel')},
{down = device_commands.Button_34,  up = device_commands.Button_33, cockpit_device_id = devices.ELECTRIC, value_down = -1, value_up = 0,name = _('SA342 Copilot Wiper R/A'), category = _('SA342 Main Panel')},
{down = device_commands.Button_35,  up = device_commands.Button_36, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 TEST'), category = _('SA342 Main Panel')},
{down = device_commands.Button_37,  up = device_commands.Button_38, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Test HYD'), category = _('SA342 Main Panel')},
{down = device_commands.Button_14, cockpit_device_id = devices.FLIGHT_CONTROLS, value_down = 1, name = _('SA342 Source +'), category = _('SA342 Main Panel')},
{down = device_commands.Button_15, cockpit_device_id = devices.FLIGHT_CONTROLS, value_down = 1, name = _('SA342 Source -'), category = _('SA342 Main Panel')},
{down = device_commands.Button_39,  up = device_commands.Button_40, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Test warning panel'), category = _('SA342 Main Panel')},
{combos = {{key = 'N', reformers = {'LShift'}}}, down = device_commands.Button_26, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Nav Lights Up'), category = _('SA342 Main Panel')},
{combos = {{key = 'N'}}, down = device_commands.Button_27, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Nav Lights Down'), category = _('SA342 Main Panel')},
{down = device_commands.Button_30,  up = device_commands.Button_31, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Nav Lights Steady'), category = _('SA342 Main Panel')},
{down = device_commands.Button_28,  up = device_commands.Button_29, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Nav Lights Flashing'), category = _('SA342 Main Panel')},
{combos = {{key = 'S', reformers = {'LShift'}}}, down = device_commands.Button_32, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Strobe Lights Up'), category = _('SA342 Main Panel')},
{combos = {{key = 'S'}}, down = device_commands.Button_33, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Strobe Lights Down'), category = _('SA342 Main Panel')},
{combos = {{key = 'S', reformers = {'LCtrl'}}}, down = device_commands.Button_38, up = device_commands.Button_39, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Strobe Intensity Increase'), category = _('SA342 Main Panel')},
{combos = {{key = 'S', reformers = {'LAlt'}}}, down = device_commands.Button_40, up = device_commands.Button_41, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Strobe Intensity Decrease'), category = _('SA342 Main Panel')},
{down = device_commands.Button_43,cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Panels Lighting On/Off'), category = _('SA342 Main Panel')},
{combos = {{key = 'V', reformers = {'LShift'}}}, down = device_commands.Button_19, up = device_commands.Button_20, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 PUP Intensity Increase'), category = _('SA342 Main Panel')},
{combos = {{key = 'V'}}, down = device_commands.Button_21, up = device_commands.Button_22, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 PUP Intensity Decrease'), category = _('SA342 Main Panel')},
{combos = {{key = 'B', reformers = {'RShift'}}}, down = device_commands.Button_24, up = device_commands.Button_25, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 PBO Intensity Increase'), category = _('SA342 Main Panel')},
{combos = {{key = 'B'}}, down = device_commands.Button_26, up = device_commands.Button_27, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 PBO Intensity Decrease'), category = _('SA342 Main Panel')},
{down = device_commands.Button_34,  up = device_commands.Button_35, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Strobe Lights Normal'), category = _('SA342 Main Panel')},
{down = device_commands.Button_36,  up = device_commands.Button_37, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Strobe Lights Attenuated'), category = _('SA342 Main Panel')},

-- START PANEL
{down = device_commands.Button_41,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 RSUPP On/Off'), category = _('SA342 Start Panel')},
{down = device_commands.Button_42,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 FILTAS On/Off'), category = _('SA342 Start Panel')},
{down = device_commands.Button_23,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Magnetic Brake On/Off'), category = _('SA342 Start Panel')},
{down = device_commands.Button_43,  up = device_commands.Button_44, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Rearm Alter'), category = _('SA342 Start Panel')},
{down = device_commands.Button_45,  up = device_commands.Button_46, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Rearm Gene'), category = _('SA342 Start Panel')},
{down = device_commands.Button_47, cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Starter Up'), category = _('SA342 Start Panel')},
{down = device_commands.Button_48, cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Starter Down'), category = _('SA342 Start Panel')},
{down = device_commands.Button_52,cockpit_device_id = devices.ELECTRIC, value_down = 1, name = _('SA342 Fuel Pump On/Off'), category = _('SA342 Start Panel')},
{down = device_commands.Button_5, up = device_commands.Button_6, cockpit_device_id = devices.CLOCK, value_down = 1, value_up = 0,name = _('SA342 Clock Start/Stop'), category = _('SA342 Start Panel')},
{down = device_commands.Button_7, up = device_commands.Button_8, cockpit_device_id = devices.CLOCK, value_down = 1, value_up = 0,name = _('SA342 Clock reset'), category = _('SA342 Start Panel')},
{combos = {{key = 'U', reformers = {'RShift'}}}, down = device_commands.Button_13, up = device_commands.Button_14, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 UV Lighting Increase'), category = _('SA342 Start Panel')},
{combos = {{key = 'U'}}, down = device_commands.Button_15, up = device_commands.Button_16, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 UV Lighting Decrease'), category = _('SA342 Start Panel')},
{down = device_commands.Button_49,  up = device_commands.Button_50, cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0,name = _('SA342 Starter M/A'), category = _('SA342 Start Panel')},
{down = device_commands.Button_51,  up = device_commands.Button_50, cockpit_device_id = devices.ELECTRIC, value_down = -1, value_up = 0,name = _('SA342 Starter V/A'), category = _('SA342 Start Panel')},

-- INTERCOM1
{down = device_commands.Button_7,up = device_commands.Button_8,cockpit_device_id = devices.INTERCOM, value_down = 1, value_up = 0,name = _('SA342 VHF AM Radio Volume+'), category = _('SA342 Intercom1')},
{down = device_commands.Button_9,up = device_commands.Button_10,cockpit_device_id = devices.INTERCOM, value_down = 1, value_up = 0,name = _('SA342 VHF AM Radio Volume-'), category = _('SA342 Intercom1')},
{down = device_commands.Button_11,up = device_commands.Button_12,cockpit_device_id = devices.INTERCOM, value_down = 1, value_up = 0,name = _('SA342 FM1 Radio Volume+'), category = _('SA342 Intercom1')},
{down = device_commands.Button_13,up = device_commands.Button_14,cockpit_device_id = devices.INTERCOM, value_down = 1, value_up = 0,name = _('SA342 FM1 Radio Volume-'), category = _('SA342 Intercom1')},
{down = device_commands.Button_15,up = device_commands.Button_16,cockpit_device_id = devices.INTERCOM, value_down = 1, value_up = 0,name = _('SA342 UHF Radio Volume+'), category = _('SA342 Intercom1')},
{down = device_commands.Button_17,up = device_commands.Button_18,cockpit_device_id = devices.INTERCOM, value_down = 1, value_up = 0,name = _('SA342 UHF Radio Volume-'), category = _('SA342 Intercom1')},

-- NADIR
{down = device_commands.Button_25, up = device_commands.Button_25, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR ENT'), category = _('SA342 NADIR')},
{down = device_commands.Button_26, up = device_commands.Button_26, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR DES'), category = _('SA342 NADIR')},
{down = device_commands.Button_27, up = device_commands.Button_27, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR AUX'), category = _('SA342 NADIR')},
{down = device_commands.Button_28, up = device_commands.Button_28, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR IC'), category = _('SA342 NADIR')},
{down = device_commands.Button_29, up = device_commands.Button_29, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR DOWN'), category = _('SA342 NADIR')},
{down = device_commands.Button_30, up = device_commands.Button_30, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 0'), category = _('SA342 NADIR')},
{down = device_commands.Button_31, up = device_commands.Button_31, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 1'), category = _('SA342 NADIR')},
{down = device_commands.Button_32, up = device_commands.Button_32, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 2'), category = _('SA342 NADIR')},
{down = device_commands.Button_33, up = device_commands.Button_33, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 3'), category = _('SA342 NADIR')},
{down = device_commands.Button_34, up = device_commands.Button_34, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 4'), category = _('SA342 NADIR')},
{down = device_commands.Button_35, up = device_commands.Button_35, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 5'), category = _('SA342 NADIR')},
{down = device_commands.Button_36, up = device_commands.Button_36, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 6'), category = _('SA342 NADIR')},
{down = device_commands.Button_37, up = device_commands.Button_37, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 7'), category = _('SA342 NADIR')},
{down = device_commands.Button_38, up = device_commands.Button_38, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 8'), category = _('SA342 NADIR')},
{down = device_commands.Button_39, up = device_commands.Button_39, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR 9'), category = _('SA342 NADIR')},
{down = device_commands.Button_40, up = device_commands.Button_40, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR POL'), category = _('SA342 NADIR')},
{down = device_commands.Button_41, up = device_commands.Button_41, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR GEO'), category = _('SA342 NADIR')},
{down = device_commands.Button_42, up = device_commands.Button_42, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR POS'), category = _('SA342 NADIR')},
{down = device_commands.Button_43, up = device_commands.Button_43, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR GEL'), category = _('SA342 NADIR')},
{down = device_commands.Button_44, up = device_commands.Button_44, cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0, name = _('SA342 NADIR EFF'), category = _('SA342 NADIR')},
{down = device_commands.Button_45,up = device_commands.Button_45,cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR Mode+'), category = _('SA342 NADIR')},
{down = device_commands.Button_46,up = device_commands.Button_46,cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR Mode-'), category = _('SA342 NADIR')},
{down = device_commands.Button_47,up = device_commands.Button_47,cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR Param+'), category = _('SA342 NADIR')},
{down = device_commands.Button_48,up = device_commands.Button_48,cockpit_device_id = devices.NADIR, value_down = 1, value_up = 0,name = _('SA342 NADIR Param-'), category = _('SA342 NADIR')},

-- VHF RADIO
{down = device_commands.Button_5,up = device_commands.Button_5,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF increment'), category = _('SA342 VHF RADIO')},
{down = device_commands.Button_6,up = device_commands.Button_6,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF RADIO Mode+'), category = _('SA342 VHF RADIO')},
{down = device_commands.Button_7,up = device_commands.Button_7,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF RADIO Mode-'), category = _('SA342 VHF RADIO')},
{down = device_commands.Button_8,up = device_commands.Button_8,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF RADIO Unit+'), category = _('SA342 VHF RADIO')},
{down = device_commands.Button_9,up = device_commands.Button_9,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF RADIO Unit-'), category = _('SA342 VHF RADIO')},
{down = device_commands.Button_10,up = device_commands.Button_10,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF RADIO Dec+'), category = _('SA342 VHF RADIO')},
{down = device_commands.Button_11,up = device_commands.Button_11,cockpit_device_id = devices.AM_RADIO, value_down = 1, value_up = 0,name = _('SA342 VHF RADIO Dec-'), category = _('SA342 VHF RADIO')},

-- PR4G
{down = device_commands.Button_18,up = device_commands.Button_18,cockpit_device_id = devices.FM_RADIO, value_down = 1, value_up = 0,name = _('SA342 FM RADIO Mode+'), category = _('SA342 FM RADIO')},
{down = device_commands.Button_19,up = device_commands.Button_19,cockpit_device_id = devices.FM_RADIO, value_down = 1, value_up = 0,name = _('SA342 FM RADIO Mode-'), category = _('SA342 FM RADIO')},
{down = device_commands.Button_20,up = device_commands.Button_20,cockpit_device_id = devices.FM_RADIO, value_down = 1, value_up = 0,name = _('SA342 FM RADIO Canal+'), category = _('SA342 FM RADIO')},
{down = device_commands.Button_21,up = device_commands.Button_21,cockpit_device_id = devices.FM_RADIO, value_down = 1, value_up = 0,name = _('SA342 FM RADIO Canal-'), category = _('SA342 FM RADIO')},

-- UHF RADIO
{down = device_commands.Button_16, up = device_commands.Button_16, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF VLD'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_17, up = device_commands.Button_17, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 1'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_18, up = device_commands.Button_18, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 2'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_19, up = device_commands.Button_19, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 3'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_20, up = device_commands.Button_20, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 4'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_21, up = device_commands.Button_21, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 5'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_22, up = device_commands.Button_22, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 6'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_23, up = device_commands.Button_23, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 7'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_24, up = device_commands.Button_24, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 8'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_25, up = device_commands.Button_25, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 9'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_26, up = device_commands.Button_26, cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF 0'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_27,up = device_commands.Button_27,cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF Mode+'), category = _('SA342 UHF RADIO')},
{down = device_commands.Button_28,up = device_commands.Button_28,cockpit_device_id = devices.UHF_RADIO, value_down = 1, value_up = 0,name = _('SA342 UHF Mode-'), category = _('SA342 UHF RADIO')},

-- ADF RADIO
{down = device_commands.Button_14, cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 Select Toggle'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_15, cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 Tone Toggle'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_16,up = device_commands.Button_16,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 ADF Mode+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_17,up = device_commands.Button_17,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 ADF Mode-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_18,up = device_commands.Button_19,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 ADF Gain+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_20,up = device_commands.Button_21,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 ADF Gain-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_22,up = device_commands.Button_22,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV1 Cent+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_23,up = device_commands.Button_23,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV1 Cent-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_24,up = device_commands.Button_24,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV1 Dix+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_25,up = device_commands.Button_25,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV1 Dix-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_26,up = device_commands.Button_26,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV1 Unit+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_27,up = device_commands.Button_27,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV1 Unit-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_28,up = device_commands.Button_28,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV2 Cent+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_29,up = device_commands.Button_29,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV2 Cent-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_30,up = device_commands.Button_30,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV2 Dix+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_31,up = device_commands.Button_31,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV2 Dix-'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_32,up = device_commands.Button_32,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV2 Unit+'), category = _('SA342 ADF RADIO')},
{down = device_commands.Button_33,up = device_commands.Button_33,cockpit_device_id = devices.ADF, value_down = 1, value_up = 0,name = _('SA342 NAV2 Unit-'), category = _('SA342 ADF RADIO')},

-- PILOT COLLECTIVE
{down = device_commands.Button_13, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Landing Light OFF'), category = _('SA342 Pilot Collective')},
{down = device_commands.Button_14, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Landing Light VARIO'), category = _('SA342 Pilot Collective')},
{down = device_commands.Button_15, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Landing Light ON'), category = _('SA342 Pilot Collective')},
{combos = {{key = 'P'}}, down = device_commands.Button_4, up = device_commands.Button_5, cockpit_device_id = devices.NAVLIGHTS, value_down = -1, value_up = 0,name = _('SA342 Landing Light Extend'), category = _('SA342 Pilot Collective')},
{combos = {{key = 'O'}}, down = device_commands.Button_6, up = device_commands.Button_7, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Landing Light Retract'), category = _('SA342 Pilot Collective')},
{combos = {{key = 'Insert'}}, down = iCommandPlaneCMDDispence,  up = iCommandPlaneCMDDispenceOff, name = _('SA342 Start dispensing'), category = _('SA342 Pilot Collective')},
{down = device_commands.Button_8, cockpit_device_id = devices.FD, value_down = 1, value_up = 0,name = _('SA342 Flare Dispenser Button Cover Toggle'), category = _('SA342 Pilot Collective')},
{combos = {{key = 'L', reformers = {'RAlt'}}}, down = iCommandPlaneHeadLightOnOff, name = _('SA342 Landing Light On/Off'), category = _('SA342 Pilot Collective')},
{down = device_commands.Button_6,  up = device_commands.Button_7, cockpit_device_id = devices.FD, value_down = 1, value_up = 0,name = _('SA342 Flare Dispenser Button Cover'), category = _('SA342 Pilot Collective')},
{down = device_commands.Button_16,  up = device_commands.Button_17, cockpit_device_id = devices.NAVLIGHTS, value_down = -1, value_up = 0,name = _('SA342 Landing Light OFF/VARIO'), category = _('SA342 Pilot Collective')},
{down = device_commands.Button_18,  up = device_commands.Button_19, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Landing Light ON/VARIO'), category = _('SA342 Pilot Collective')},

-- PILOT STICK
{combos = {{key = 'T'}},     down = device_commands.Button_7, up = device_commands.Button_8,cockpit_device_id = devices.CONTROLS, value_down = 1, value_up = 0, name = _('SA342 Trimmer'), category = _('SA342 Pilot Stick')},
{combos = {{key = 'E'}}, down = device_commands.Button_12, up = device_commands.Button_12, cockpit_device_id = devices.AUTOPILOT, value_down = 1, value_up = 0, name = _('SA342 Auto-Slaved Toggle'), category = _('SA342 Pilot Stick')},
{combos = {{key = 'Q'}}, down = device_commands.Button_8, up = device_commands.Button_8,cockpit_device_id = devices.AUTOPILOT, value_down = 1, value_up = 0, name = _('SA342 Auto-Hover Toggle'), category = _('SA342 Pilot Stick')},
{combos = {{key = ';', reformers = {'RCtrl'}}}, down = device_commands.Button_3, up = device_commands.Button_4,cockpit_device_id = devices.CONTROLS, value_down = 1, value_up = 0, name = _('Trim: Nose Down'), category = _('SA342 Pilot Stick')},
{combos = {{key = '.', reformers = {'RCtrl'}}}, down = device_commands.Button_5, up = device_commands.Button_6,cockpit_device_id = devices.CONTROLS, value_down = 1, value_up = 0, name = _('Trim: Nose Up'), category = _('SA342 Pilot Stick')},
{combos = {{key = ',', reformers = {'RCtrl'}}}, down = device_commands.Button_9, up = device_commands.Button_10,cockpit_device_id = devices.CONTROLS, value_down = 1, value_up = 0, name = _('Trim: Left Wing Down'), category = _('SA342 Pilot Stick')},
{combos = {{key = '/', reformers = {'RCtrl'}}}, down = device_commands.Button_11, up = device_commands.Button_12,cockpit_device_id = devices.CONTROLS, value_down = 1, value_up = 0, name = _('Trim: Right Wing Down'), category = _('SA342 Pilot Stick')},
{down = device_commands.Button_29, up = device_commands.Button_30,cockpit_device_id = devices.AUTOPILOT, value_down = 1, value_up = 0, name = _('SA342 Autopilot Master'), category = _('SA342 Pilot Stick')},
{down = device_commands.Button_19, up = device_commands.Button_20,cockpit_device_id = devices.ELECTRIC, value_down = 1, value_up = 0, name = _('SA342 Wiper once'), category = _('SA342 Pilot Stick')},
{down = iCommandPlaneFire, up = iCommandPlaneFireOff, name = _('SA342 Fire Gun or Rocket'), category = _('SA342 Pilot Stick')},

-- WSO LEFT STICK
{down = device_commands.Button_35, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Lasing Button Cover'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_42, up = device_commands.Button_42, cockpit_device_id = devices.PE, value_down = 1, value_up = 0,name = _('SA342 Lasing Button'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_36, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Missile Launch Cover'), category = _('SA342 WSO Left Stick')},
{combos = {{key = 'Space'}}, down = device_commands.Button_41, up = device_commands.Button_41, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Missile Launch Button'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_25, up = device_commands.Button_25, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Inversed Symbology Toggle'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_26, up = device_commands.Button_26, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Inversed Image Toggle'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_29, up = device_commands.Button_29, cockpit_device_id = devices.PE, value_down = -1, value_up = 0, name = _('SA342 Gain decrease'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_30, up = device_commands.Button_30, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Gain increase'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_31, up = device_commands.Button_31, cockpit_device_id = devices.PE, value_down = -1, value_up = 0, name = _('SA342 Image Brightness decrease'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_32, up = device_commands.Button_32, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Image Brightness increase'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_33, up = device_commands.Button_33, cockpit_device_id = devices.PE, value_down = -1, value_up = 0, name = _('SA342 Symbology Brightness decrease'), category = _('SA342 WSO Left Stick')},
{down = device_commands.Button_34, up = device_commands.Button_34, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Symbology Brightness increase'), category = _('SA342 WSO Left Stick')},

-- WEAPONS PANEL
{combos = {{key = '1', reformers = {'LAlt'}}}, down = device_commands.Button_4, cockpit_device_id = devices.PH, value_down = 1.0, name = _('SA342 Station 1 Select'), category = _('SA342 Weapons Panel')},
{combos = {{key = '2', reformers = {'LAlt'}}}, down = device_commands.Button_5, cockpit_device_id = devices.PH, value_down = 1.0, name = _('SA342 Station 2 Select'), category = _('SA342 Weapons Panel')},
{combos = {{key = '3', reformers = {'LAlt'}}}, down = device_commands.Button_6, cockpit_device_id = devices.PH, value_down = 1.0, name = _('SA342 Station 3 Select'), category = _('SA342 Weapons Panel')},
{combos = {{key = '4', reformers = {'LAlt'}}}, down = device_commands.Button_7, cockpit_device_id = devices.PH, value_down = 1.0, name = _('SA342 Station 4 Select'), category = _('SA342 Weapons Panel')},
{combos = {{key = 'D'}}, down = iCommandPlaneChangeWeapon, name = _('SA342 Cycle Station'), category = _('SA342 Weapons Panel')},

-- RWR
{down = device_commands.Button_8,  up = device_commands.Button_9, cockpit_device_id = devices.RWR, value_down = -1, value_up = 0,name = _('SA342 RWR OFF/ON'), category = _('SA342 RWR')},
{down = device_commands.Button_10,  up = device_commands.Button_9, cockpit_device_id = devices.RWR, value_down = 1, value_up = 0,name = _('SA342 RWR CROC/ON'), category = _('SA342 RWR')},
{combos = {{key = 'R', reformers = {'RShift'}}}, down = device_commands.Button_6, cockpit_device_id = devices.RWR, value_down = 1, name = _('SA342 RWR Off/On/Croc Up'), category = _('SA342 RWR')},
{combos = {{key = 'R'}}, down = device_commands.Button_7, cockpit_device_id = devices.RWR, value_down = 1, name = _('SA342 RWR Off/On/Croc Down'), category = _('SA342 RWR')},
{combos = {{key = 'R', reformers = {'LCtrl'}}}, down = device_commands.Button_11, up = device_commands.Button_12, cockpit_device_id = devices.RWR, value_down = 1, value_up = 0,name = _('SA342 RWR Audio Increase'), category = _('SA342 RWR')},
{combos = {{key = 'R', reformers = {'LAlt'}}}, down = device_commands.Button_13, up = device_commands.Button_14, cockpit_device_id = devices.RWR, value_down = 1, value_up = 0,name = _('SA342 RWR Audio Decrease'), category = _('SA342 RWR')},
{combos = {{key = 'R', reformers = {'RCtrl'}}}, down = device_commands.Button_16, up = device_commands.Button_17, cockpit_device_id = devices.RWR, value_down = 1, value_up = 0,name = _('SA342 RWR Brightness Increase'), category = _('SA342 RWR')},
{combos = {{key = 'R', reformers = {'RAlt'}}}, down = device_commands.Button_18, up = device_commands.Button_19, cockpit_device_id = devices.RWR, value_down = 1, value_up = 0,name = _('SA342 RWR Brightness Decrease'), category = _('SA342 RWR')},

-- AUTOPILOT
{down = device_commands.Button_26,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Master On/Off'), category = _('SA342 Autopilot')},
{down = device_commands.Button_10,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Yaw On/Off'), category = _('SA342 Autopilot')},
{down = device_commands.Button_11,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Roll On/Off'), category = _('SA342 Autopilot')},
{down = device_commands.Button_13,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Pitch On/Off'), category = _('SA342 Autopilot')},
{combos = {{key = 'C'}}, down = device_commands.Button_18, cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Auto-Collective Toggle'), category = _('SA342 Autopilot')},
{down = device_commands.Button_21, cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Mode Up'), category = _('SA342 Autopilot')},
{down = device_commands.Button_24, cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Mode Down'), category = _('SA342 Autopilot')},
{down = device_commands.Button_31,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Gyro Test Switch Cover'), category = _('SA342 Autopilot')},
{down = device_commands.Button_32,cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Gyro Test Switch'), category = _('SA342 Autopilot')},
{down = device_commands.Button_33, cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Gyro Knob +'), category = _('SA342 Autopilot')},
{down = device_commands.Button_34, cockpit_device_id = devices.AUTOPILOT, value_down = 1, name = _('SA342 Gyro Knob -'), category = _('SA342 Autopilot')},
{down = device_commands.Button_9,  up = device_commands.Button_20, cockpit_device_id = devices.AUTOPILOT, value_down = 1, value_up = 0,name = _('SA342 Altitude Mode'), category = _('SA342 Autopilot')},
{down = device_commands.Button_19,  up = device_commands.Button_20, cockpit_device_id = devices.AUTOPILOT, value_down = -1, value_up = 0,name = _('SA342 Speed Mode'), category = _('SA342 Autopilot')},

-- ROOF CONSOLE
{down = device_commands.Button_4, up = device_commands.Button_4, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 Roof Lamp Low/Normal Button'), category = _('SA342 Roof Console')},
{down = device_commands.Button_6, up = device_commands.Button_6, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 Roof Lamp White/red Button'), category = _('SA342 Roof Console')},
{down = device_commands.Button_11, up = device_commands.Button_11, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Formation Lights On/Off Button'), category = _('SA342 Roof Console')},
{combos = {{key = 'PageUp'}}, down = device_commands.Button_2, up = device_commands.Button_3, cockpit_device_id = devices.FUEL, value_down = 1, value_up = 0,name = _('SA342 Fuel Flow lever Forward'), category = _('SA342 Roof Console')},
{combos = {{key = 'PageDown'}}, down = device_commands.Button_4, up = device_commands.Button_5, cockpit_device_id = devices.FUEL, value_down = 1, value_up = 0,name = _('SA342 Fuel Flow lever Backward'), category = _('SA342 Roof Console')},
{combos = {{key = 'Home'}}, down = device_commands.Button_2, up = device_commands.Button_3, cockpit_device_id = devices.ROTORS, value_down = 1, value_up = 0,name = _('SA342 Rotor Brake Release (lever Forward)'), category = _('SA342 Roof Console')},
{combos = {{key = 'End'}}, down = device_commands.Button_4, up = device_commands.Button_5, cockpit_device_id = devices.ROTORS, value_down = 1, value_up = 0,name = _('SA342 Rotor Brake On (lever Backward)'), category = _('SA342 Roof Console')},
{combos = {{key = 'L', reformers = {'RShift'}}}, down = device_commands.Button_7, up = device_commands.Button_8, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 Roof Lamp Increase'), category = _('SA342 Roof Console')},
{combos = {{key = 'L'}}, down = device_commands.Button_9, up = device_commands.Button_10, cockpit_device_id = devices.LIGHTS, value_down = 1, value_up = 0,name = _('SA342 Roof Lamp Decrease'), category = _('SA342 Roof Console')},
{combos = {{key = 'L', reformers = {'LShift'}}}, down = device_commands.Button_11, cockpit_device_id = devices.LIGHTS, value_down = 1, name = _('SA342 Roof Lamp Low/Normal'), category = _('SA342 Roof Console')},
{combos = {{key = 'L', reformers = {'RCtrl'}}}, down = device_commands.Button_12, cockpit_device_id = devices.LIGHTS, value_down = 1, name = _('SA342 Roof Lamp Lens White/red'), category = _('SA342 Roof Console')},
{combos = {{key = 'F', reformers = {'RShift'}}}, down = device_commands.Button_21, up = device_commands.Button_22, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Formation Lights Increase'), category = _('SA342 Roof Console')},
{combos = {{key = 'F'}}, down = device_commands.Button_23, up = device_commands.Button_24, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, value_up = 0,name = _('SA342 Formation Lights Decrease'), category = _('SA342 Roof Console')},
{combos = {{key = 'F', reformers = {'LShift'}}}, down = device_commands.Button_20, cockpit_device_id = devices.NAVLIGHTS, value_down = 1, name = _('SA342 Formation Lights On/Off'), category = _('SA342 Roof Console')},

-- BCV Panel
{combos = {{key = ';'}}, down = device_commands.Button_8, up = device_commands.Button_9, cockpit_device_id = devices.PE, value_down = 1, value_up = 0,name = _('SA342 Slew up'), category = _('SA342 Video Command Box')},
{combos = {{key = '.'}}, down = device_commands.Button_10, up = device_commands.Button_11, cockpit_device_id = devices.PE, value_down = 1, value_up = 0,name = _('SA342 Slew down'), category = _('SA342 Video Command Box')},
{combos = {{key = ','}}, down = device_commands.Button_12, up = device_commands.Button_13, cockpit_device_id = devices.PE, value_down = 1, value_up = 0,name = _('SA342 Slew left'), category = _('SA342 Video Command Box')},
{combos = {{key = '/'}}, down = device_commands.Button_14, up = device_commands.Button_15, cockpit_device_id = devices.PE, value_down = 1, value_up = 0,name = _('SA342 Slew right'), category = _('SA342 Video Command Box')},
{combos = {{key = 'I', reformers = {'RCtrl'}}}, down = device_commands.Button_1, up = device_commands.Button_1, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Camera Centering'), category = _('SA342 Video Command Box')},
{combos = {{key = '='}}, down = device_commands.Button_3, up = device_commands.Button_3, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Zoom +'), category = _('SA342 Video Command Box')},
{combos = {{key = '-'}}, down = device_commands.Button_4, up = device_commands.Button_4, cockpit_device_id = devices.PE, value_down = -1, value_up = 0, name = _('SA342 Zoom -'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_2, cockpit_device_id = devices.PE, value_down = 1.0, name = _('SA342 Normal/IR View Toggle'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_17, cockpit_device_id = devices.PE, value_down = 1.0, name = _('SA342 MODE +'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_18, cockpit_device_id = devices.PE, value_down = 1.0, name = _('SA342 MODE -'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_19, cockpit_device_id = devices.PE, value_down = 1.0, name = _('SA342 CTH Cycle'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_37, cockpit_device_id = devices.PE, value_down = 1.0, name = _('SA342 CTH +'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_38, cockpit_device_id = devices.PE, value_down = 1.0, name = _('SA342 CTH -'), category = _('SA342 Video Command Box')},
{down = device_commands.Button_39, up = device_commands.Button_39, cockpit_device_id = devices.PE, value_down = 1, value_up = 0, name = _('SA342 Power button'), category = _('SA342 Video Command Box')},

-- Controls
{combos = {{key = 'A'}}, down = device_commands.Button_13, cockpit_device_id = devices.CONTROLS, value_down = 1.0, name = _('SA342 Swap Controls multi'), category = _('Controls')},
{combos = {{key = 'Enter', reformers = {'RCtrl'}}}, down = iCommandPlane_ShowControls, name = _('Show controls indicator') , category = _('Controls')},
{combos = {{key = 'T', reformers = {'LCtrl'}}}, down = iCommandPlaneTrimCancel, name = _('Trimmer reset'), category = _('Controls')},
-- Ins Cyclick Stick
{combos = {{key = 'Up'}},    pressed = iCommandPlaneUpStart    , up = iCommandPlaneUpStop  ,   name = _('SA342 Cyclic nose down'), category = _('Controls')},
{combos = {{key = 'Down'}},  pressed = iCommandPlaneDownStart  , up = iCommandPlaneDownStop,   name = _('SA342 Cyclic nose up'), category = _('Controls')},
{combos = {{key = 'Left'}},  pressed = iCommandPlaneLeftStart  , up = iCommandPlaneLeftStop,   name = _('Cyclic bank left'), category = _('Controls')},
{combos = {{key = 'Right'}}, pressed = iCommandPlaneRightStart , up = iCommandPlaneRightStop,  name = _('Cyclic bank right'), category = _('Controls')},
-- Ins Collective Stick
{combos = {{key = 'Num+'}}, pressed = iCommandPlaneCollectiveIncrease, up = iCommandPlaneCollectiveStop, name = _('Collective up'), category = _('Controls')},
{combos = {{key = 'Num-'}}, pressed = iCommandPlaneCollectiveDecrease, up = iCommandPlaneCollectiveStop, name = _('Collective down'), category = _('Controls')},
--Ins Rudder
{combos = {{key = 'Z'}}, pressed = iCommandPlaneLeftRudderStart, up = iCommandPlaneLeftRudderStop, name = _('Rudder left'), category = _('Controls')},
{combos = {{key = 'X'}}, pressed = iCommandPlaneRightRudderStart, up = iCommandPlaneRightRudderStop, name = _('Rudder right'), category = _('Controls')},

-- Cheat - Temporary
--{combos = {{key = 'X', reformers = {'LShift', 'LCtrl'}}}, pressed = iCommandViewExplosion, name = _('Explosion'), category = 'Cheat'},
{combos = {{key = 'Home', reformers = {'LWin'}}}, down = iCommandEnginesStart, name = _('SA342 Auto execute full start procedure'), category = _('Cheat')},
{combos = {{key = 'End' , reformers = {'LWin'}}} , down = iCommandEnginesStop, name = _('SA342 Auto execute full stop procedure') , category = _('Cheat')},
{combos = {{key = 'Pause', reformers = {'LShift', 'LWin'}}}, down = iCommandActivePauseOnOff, name = _('Active Pause'), category = _('Cheat')},
--{combos = {{key = 'R', reformers = {'RWin'}}},  	down = iCommandReloadTables, name = _('Reload Cockpit'), category = 'Debug'},
--{combos = {{key = '`'}}, down = ICommandToggleConsole, name = _('Toggle Console'), category = 'Debug'},

--- Kneeboard
-- {combos = {{key = ']'}}						   , 	down = device_commands.Button_1, cockpit_device_id = devices.KNEEBOARD, value_down = 1.0, name = _('Kneeboard Next Page')  , category = _('Kneeboard')},
-- {combos = {{key = '['}}						   , 	down = device_commands.Button_2, cockpit_device_id = devices.KNEEBOARD, value_down = 1.0, name = _('Kneeboard Previous Page'), category = _('Kneeboard')},
-- {combos = {{key = 'K', reformers = {'RShift'}}}, 	down = iCommandPlaneShowKneeboard,	name = _('Kneeboard ON/OFF'), category = _('Kneeboard')},
-- {combos = {{key = 'K'}}						   , 	down = iCommandPlaneShowKneeboard, up = iCommandPlaneShowKneeboard ,value_down = 1.0,value_up = -1.0, name = _('Kneeboard glance view')  , category = _('Kneeboard')},
-- {combos = {{key = 'K', reformers = {'RCtrl'}}} , 	down = device_commands.Button_3	, cockpit_device_id = devices.KNEEBOARD,value_down = 1.0, name = _('Kneeboard current position mark point')  , category = _('Kneeboard')},

{combos = {{key = 'K', reformers = {'RShift'}}}, 			down = iCommandPlaneShowKneeboard	, name = _('Kneeboard ON/OFF'), category = _('Kneeboard')},
{combos = {{key = 'K'}}						   , 			down = iCommandPlaneShowKneeboard	, up = iCommandPlaneShowKneeboard ,value_down = 1.0,value_up = -1.0, name = _('Kneeboard glance view')  , category = _('Kneeboard')},
{combos = {{key = ']'}}						   , 			down = 3001		, cockpit_device_id  = 100, value_down = 1.0, name = _('Kneeboard Next Page')  , category = _('Kneeboard')},
{combos = {{key = '['}}						   , 			down = 3002		, cockpit_device_id  = 100, value_down = 1.0, name = _('Kneeboard Previous Page'), category = _('Kneeboard')},
{combos = {{key = 'K', reformers = {'RCtrl'}}} , 			down = 3003		, cockpit_device_id  = 100,value_down = 1.0, name = _('Kneeboard current position mark point')  , category = _('Kneeboard')},
--shortcuts navigation
{down = 3004		, cockpit_device_id  = 100,value_down =  1.0, name = _('Kneeboard Make Shortcut'), category = _('Kneeboard')},
{down = 3005		, cockpit_device_id  = 100,value_down =  1.0, name = _('Kneeboard Next Shortcut'), category = _('Kneeboard')},
{down = 3005		, cockpit_device_id  = 100,value_down = -1.0, name = _('Kneeboard Previous Shortcut')  , category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 0   , name = _('Kneeboard Jump To Shortcut  1'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 1   , name = _('Kneeboard Jump To Shortcut  2'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 2   , name = _('Kneeboard Jump To Shortcut  3'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 3   , name = _('Kneeboard Jump To Shortcut  4'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 4   , name = _('Kneeboard Jump To Shortcut  5'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 5   , name = _('Kneeboard Jump To Shortcut  6'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 6   , name = _('Kneeboard Jump To Shortcut  7'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 7   , name = _('Kneeboard Jump To Shortcut  8'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 8   , name = _('Kneeboard Jump To Shortcut  9'), category = _('Kneeboard')},
{down = 3006		, cockpit_device_id  = 100,value_down = 9   , name = _('Kneeboard Jump To Shortcut 10'), category = _('Kneeboard')},

-- HEAD_WRAPPER
{combos = {{key = '1'}}, down = device_commands.Button_1, cockpit_device_id = devices.HEAD_WRAPPER, value_down = 0.0, name = _('SA342 Set Pilot Seat'), category = _('View Cockpit')},
{combos = {{key = '2'}}, down = device_commands.Button_2, cockpit_device_id = devices.HEAD_WRAPPER, value_down = 0.0, name = _('SA342 Set CoPilot Seat'), category = _('View Cockpit')},
{combos = {{key = 'G'}}, down = device_commands.Button_3, cockpit_device_id = devices.HEAD_WRAPPER, value_down = 0.0, name = _('SA342 Pilot Sun glass On/Off'), category = _('View Cockpit')},
{combos = {{key = 'L', reformers = {'LAlt'}}}, down = device_commands.Button_4, cockpit_device_id = devices.HEAD_WRAPPER, value_down = 0.0, name = _('SA342 Microphone Light On/Off'), category = _('View Cockpit')},

-- General
{combos = {{key = 'Esc'}}, down = iCommandQuit, name = _('End mission'), category = _('General')},
{combos = {{key = 'Pause'}}, down = iCommandBrakeGo, name = _('Pause'), category = _('General')},
{combos = {{key = 'Z', reformers = {'LCtrl'}}}, down = iCommandAccelerate, name = _('Time accelerate'), category = _('General')},
{combos = {{key = 'Z', reformers = {'LAlt'}}}, down = iCommandDecelerate, name = _('Time decelerate'), category = _('General')},
{combos = {{key = 'Z', reformers = {'LShift'}}}, down = iCommandNoAcceleration, name = _('Time normal'), category = _('General')},
{combos = {{key = 'Tab'}}, down = iCommandChat, name = _('Multiplayer chat - mode All'), category = _('General')},
{combos = {{key = 'Tab', reformers = {'RCtrl'}}}, down = iCommandFriendlyChat, name = _('Multiplayer chat - mode Allies'), category = _('General')},
{combos = {{key = 'Y', reformers = {'LCtrl'}}}, down = iCommandInfoOnOff, name = _('Info bar toggle'), category = _('General')},
{combos = {{key = 'Tab', reformers = {'RCtrl','RShift'}}}, down = iCommandRecoverHuman, name = _('Get New Plane - respawn'), category = _('General')},
{combos = {{key = 'C', reformers = {'LAlt'}}}, down = iCommandCockpitClickModeOnOff, name = _('Clickable mouse cockpit mode On/Off'), category = _('General')},
{combos = {{key = 'SysRQ'}}, down = iCommandScreenShot, name = _('Screenshot'), category = _('General')},
{combos = {{key = 'Pause', reformers = {'RCtrl'}}}, down = iCommandGraphicsFrameRate, name = _('Frame rate counter - Service info'), category = _('General')},
{combos = {{key = 'Y', reformers = {'LAlt'}}}, down = iCommandViewCoordinatesInLinearUnits, name = _('Info bar coordinate units toggle'), category = _('General')},
{combos = {{key = 'P', reformers = {'RShift'}}}, down = iCommandCockpitShowPilotOnOff, name = _('Show Pilot Body'), category = _('General')},
{combos = {{key = 'B', reformers = {'LAlt'}}},				down = iCommandViewBriefing, name = _('View briefing on/off'), category = _('General')},
{combos = {{key = '\''}}, 									down = iCommandScoresWindowToggle, name = _('Score window'), category = _('General')},
{combos = {{key = '\'', reformers = {'RShift'}}}, 			down = iCommandDebriefing, name = _('Debriefing window'), category = _('General')},
{combos = {{key = '\'', reformers = {'LAlt'}}}, 			down = iCommandMissionResourcesManagement, name = _('Rearming and Refueling Window'), category = _('General')},
-- {combos = {{key = 'J', reformers = {'RAlt'}}}, down = iCommandPlaneJump, name = _('Jump into selected aircraft'), category = _('General')},

-- View                                                    
{combos = {{key = 'Num4'}}, pressed = iCommandViewLeftSlow, up = iCommandViewStopSlow, name = _('View Left slow'), category = _('View')},
{combos = {{key = 'Num6'}}, pressed = iCommandViewRightSlow, up = iCommandViewStopSlow, name = _('View Right slow'), category = _('View')},
{combos = {{key = 'Num8'}}, pressed = iCommandViewUpSlow, up = iCommandViewStopSlow, name = _('View Up slow'), category = _('View')},
{combos = {{key = 'Num2'}}, pressed = iCommandViewDownSlow, up = iCommandViewStopSlow, name = _('View Down slow'), category = _('View')},
{combos = {{key = 'Num9'}}, pressed = iCommandViewUpRightSlow, up = iCommandViewStopSlow, name = _('View Up Right slow'), category = _('View')},
{combos = {{key = 'Num3'}}, pressed = iCommandViewDownRightSlow, up = iCommandViewStopSlow, name = _('View Down Right slow'), category = _('View')},
{combos = {{key = 'Num1'}}, pressed = iCommandViewDownLeftSlow, up = iCommandViewStopSlow, name = _('View Down Left slow'), category = _('View')},
{combos = {{key = 'Num7'}}, pressed = iCommandViewUpLeftSlow, up = iCommandViewStopSlow, name = _('View Up Left slow'), category = _('View')},
{combos = {{key = 'Num5'}}, pressed = iCommandViewCenter, name = _('Center View'), category = _('View')},

{combos = {{key = 'Num*'}}, pressed = iCommandViewForwardSlow, up = iCommandViewForwardSlowStop, name = _('Zoom in slow'), category = _('View')},

{combos = {{key = 'Num/'}}, pressed = iCommandViewBackSlow, up = iCommandViewBackSlowStop, name = _('Zoom out slow'), category = _('View')},
{combos = {{key = 'NumEnter'}}, down = iCommandViewAngleDefault, name = _('Zoom normal'), category = _('View')},
{combos = {{key = 'Num*', reformers = {'RCtrl'}}}, pressed = iCommandViewExternalZoomIn, up = iCommandViewExternalZoomInStop, name = _('Zoom external in'), category = _('View')},
{combos = {{key = 'Num/', reformers = {'RCtrl'}}}, pressed = iCommandViewExternalZoomOut, up = iCommandViewExternalZoomOutStop, name = _('Zoom external out'), category = _('View')},
{combos = {{key = 'NumEnter', reformers = {'RCtrl'}}}, down = iCommandViewExternalZoomDefault, name = _('Zoom external normal'), category = _('View')},
{combos = {{key = 'Num*', reformers = {'LAlt'}}}, down = iCommandViewSpeedUp, name = _('F11 camera moving forward'), category = _('View')},
{combos = {{key = 'Num/', reformers = {'LAlt'}}}, down = iCommandViewSlowDown, name = _('F11 camera moving backward'), category = _('View')},
{combos = {{key = 'PageDown', reformers = {'LCtrl'}}}, down = iCommandViewSwitchForward, name = _('Objects switching direction forward '), category = _('View')},
{combos = {{key = 'PageUp', reformers = {'LCtrl'}}}, down = iCommandViewSwitchReverse, name = _('Objects switching direction reverse '), category = _('View')},
{combos = {{key = 'Delete', reformers = {'LAlt'}}}, down = iCommandViewObjectIgnore, name = _('Object exclude '), category = _('View')},
{combos = {{key = 'Insert', reformers = {'LAlt'}}}, down = iCommandViewObjectsAll, name = _('Objects all excluded - include'), category = _('View')},

{combos = {{key = 'F1'}}, down = iCommandViewCockpit, name = _('F1 Cockpit view'), category = _('View')},
{combos = {{key = 'F1', reformers = {'LCtrl'}}}, down = iCommandNaturalViewCockpitIn, name = _('F1 Natural head movement view'), category = _('View')},
{combos = {{key = 'F1', reformers = {'LAlt'}}}, down = iCommandViewHUDOnlyOnOff, name = _('F1 HUD only view switch'), category = _('View')},
{combos = {{key = 'F2'}}, down = iCommandViewAir, name = _('F2 Aircraft view'), category = _('View')},
{combos = {{key = 'F2', reformers = {'LCtrl'}}}, down = iCommandViewMe, name = _('F2 View own aircraft'), category = _('View')},
{combos = {{key = 'F2', reformers = {'RAlt'}}}, down = iCommandViewFromTo, name = _('F2 Toggle camera position'), category = _('View')},
{combos = {{key = 'F2', reformers = {'LAlt'}}}, down = iCommandViewLocal, name = _('F2 Toggle local camera control'), category = _('View')},
{combos = {{key = 'F3'}}, down = iCommandViewTower, name = _('F3 Fly-By view'), category = _('View')},
{combos = {{key = 'F3', reformers = {'LCtrl'}}}, down = iCommandViewTowerJump, name = _('F3 Fly-By jump view'), category = _('View')},
{combos = {{key = 'F4'}}, down = iCommandViewRear, name = _('F4 Look back view'), category = _('View')},
{combos = {{key = 'F4', reformers = {'LCtrl'}}}, down = iCommandViewChase, name = _('F4 Chase view'), category = _('View')},
{combos = {{key = 'F4', reformers = {'LShift'}}},down = iCommandViewChaseArcade, name = _('F4 Arcade Chase view'), category = _('View')},
{combos = {{key = 'F5'}}, down = iCommandViewFight, name = _('F5 nearest AC view'), category = _('View')},
{combos = {{key = 'F5', reformers = {'LCtrl'}}}, down = iCommandViewFightGround, name = _('F5 Ground hostile view'), category = _('View')},
{combos = {{key = 'F6'}}, down = iCommandViewWeapons, name = _('F6 Released weapon view'), category = _('View')},
{combos = {{key = 'F6', reformers = {'LCtrl'}}}, down = iCommandViewWeaponAndTarget, name = _('F6 Weapon to target view'), category = _('View')},
{combos = {{key = 'F7'}}, down = iCommandViewGround, name = _('F7 Ground unit view'), category = _('View')},
{combos = {{key = 'F8'}}, down = iCommandViewTargets, name = _('F8 Target view'), category = _('View')},
{combos = {{key = 'F8', reformers = {'RAlt'}}}, down = iCommandViewTargetType, name = _('F8 Player targets/All targets filter'), category = _('View')},
{combos = {{key = 'F9'}}, down = iCommandViewNavy, name = _('F9 Ship view'), category = _('View')},
{combos = {{key = 'F9', reformers = {'LAlt'}}}, down = iCommandViewLndgOfficer, name = _('F9 Landing signal officer view'), category = _('View')},
{combos = {{key = 'F10'}}, down = iCommandViewAWACS, name = _('F10 Theater map view'), category = _('View')},
{combos = {{key = 'F10', reformers = {'LCtrl'}}}, down = iCommandViewAWACSJump, name = _('F10 Jump to theater map view over current point'), category = _('View')},
{combos = {{key = 'F11'}}, down = iCommandViewFree, name = _('F11 Airport free camera'), category = _('View')},
{combos = {{key = 'F11', reformers = {'LCtrl'}}}, down = iCommandViewFreeJump, name = _('F11 Jump to free camera'), category = _('View')},
{combos = {{key = 'F12'}}, down = iCommandViewStatic, name = _('F12 Static object view'), category = _('View')},
{combos = {{key = 'F12', reformers = {'LCtrl'}}}, down = iCommandViewMirage, name = _('F12 Civil traffic view'), category = _('View')},
{combos = {{key = 'F12', reformers = {'LShift'}}}, down = iCommandViewLocomotivesToggle, name = _('F12 Trains/cars toggle'), category = _('View')},

-- View Cockpit
{combos = {{key = 'Num0'}}, down = iCommandViewTempCockpitOn, up = iCommandViewTempCockpitOff, name = _('Cockpit panel view in'), category = _('View Cockpit')},
{combos = {{key = 'Num0', reformers = {'RCtrl'}}}, down = iCommandViewTempCockpitToggle, name = _('Cockpit panel view toggle'), category = _('View Cockpit')},
--// Save current cockpit camera angles for fast numpad jumps  
{combos = {{key = 'Num0', reformers = {'RAlt'}}}, down = iCommandViewSaveAngles, name = _('Save Cockpit Angles'), category = _('View Cockpit')},
{combos = {{key = 'Num8', reformers = {'RShift'}}}, pressed = iCommandViewUp, up = iCommandViewStop, name = _('View up'), category = _('View Cockpit')},
{combos = {{key = 'Num2', reformers = {'RShift'}}}, pressed = iCommandViewDown, up = iCommandViewStop, name = _('View down'), category = _('View Cockpit')},
{combos = {{key = 'Num4', reformers = {'RShift'}}}, pressed = iCommandViewLeft, up = iCommandViewStop, name = _('View left'), category = _('View Cockpit')},
{combos = {{key = 'Num6', reformers = {'RShift'}}}, pressed = iCommandViewRight, up = iCommandViewStop, name = _('View right'), category = _('View Cockpit')},
{combos = {{key = 'Num9', reformers = {'RShift'}}}, pressed = iCommandViewUpRight, up = iCommandViewStop, name = _('View up right'), category = _('View Cockpit')},
{combos = {{key = 'Num3', reformers = {'RShift'}}}, pressed = iCommandViewDownRight, up = iCommandViewStop, name = _('View down right'), category = _('View Cockpit')},
{combos = {{key = 'Num1', reformers = {'RShift'}}}, pressed = iCommandViewDownLeft, up = iCommandViewStop, name = _('View down left'), category = _('View Cockpit')},
{combos = {{key = 'Num7', reformers = {'RShift'}}}, pressed = iCommandViewUpLeft, up = iCommandViewStop, name = _('View up left'), category = _('View Cockpit')},

{combos = {{key = ']', reformers = {'LShift'}}}, down = iCommandViewFastKeyboard, name = _('Fast cockpit keyboard'), category = _('View Cockpit')},
{combos = {{key = ']', reformers = {'LCtrl'}}}, down = iCommandViewSlowKeyboard, name = _('Slow cockpit keyboard'), category = _('View Cockpit')},
{combos = {{key = ']', reformers = {'LAlt'}}}, down = iCommandViewNormalKeyboard, name = _('Normal cockpit keyboard speed'), category = _('View Cockpit')},
{combos = {{key = '[', reformers = {'LShift'}}}, down =  iCommandViewFastMouse, name = _('Fast cockpit mouse'), category = _('View Cockpit')},
{combos = {{key = '[', reformers = {'LCtrl'}}}, down = iCommandViewSlowMouse, name = _('Slow cockpit mouse'), category = _('View Cockpit')},
{combos = {{key = '[', reformers = {'LAlt'}}}, down = iCommandViewNormalMouse, name = _('Normal cockpit mouse speed'), category = _('View Cockpit')},

{combos = {{key = 'Num8', reformers = {'RCtrl'}}}, down = iCommandViewCameraUp, up = iCommandViewCameraCenter, name = _('Camera view up'), category = _('View Cockpit')},
{combos = {{key = 'Num2', reformers = {'RCtrl'}}}, down = iCommandViewCameraDown, up = iCommandViewCameraCenter, name = _('Camera view down'), category = _('View Cockpit')},
{combos = {{key = 'Num4', reformers = {'RCtrl'}}}, down = iCommandViewCameraLeft, up = iCommandViewCameraCenter, name = _('Camera view left'), category = _('View Cockpit')},
{combos = {{key = 'Num6', reformers = {'RCtrl'}}}, down = iCommandViewCameraRight, up = iCommandViewCameraCenter, name = _('Camera view right'), category = _('View Cockpit')},
{combos = {{key = 'Num7', reformers = {'RCtrl'}}}, down = iCommandViewCameraUpLeft, up = iCommandViewCameraCenter, name = _('Camera view up-left'), category = _('View Cockpit')},
{combos = {{key = 'Num1', reformers = {'RCtrl'}}}, down = iCommandViewCameraDownLeft, up = iCommandViewCameraCenter, name = _('Camera view down-left'), category = _('View Cockpit')},
{combos = {{key = 'Num9', reformers = {'RCtrl'}}}, down = iCommandViewCameraUpRight, up = iCommandViewCameraCenter, name = _('Camera view up-right'), category = _('View Cockpit')},
{combos = {{key = 'Num3', reformers = {'RCtrl'}}}, down = iCommandViewCameraDownRight, up = iCommandViewCameraCenter, name = _('Camera view down-right'), category = _('View Cockpit')},
--{combos = {{key = 'F1', reformers = {'RAlt'}}}, down = iCommandViewPanToggle, name = _('Camera pan mode toggle'), category = _('View Cockpit')},

{combos = {{key = 'Num8', reformers = {'RAlt'}}}, down = iCommandViewCameraUpSlow, name = _('Camera view up slow'), category = _('View Cockpit')},
{combos = {{key = 'Num2', reformers = {'RAlt'}}}, down = iCommandViewCameraDownSlow, name = _('Camera view down slow'), category = _('View Cockpit')},
{combos = {{key = 'Num4', reformers = {'RAlt'}}}, down = iCommandViewCameraLeftSlow, name = _('Camera view left slow'), category = _('View Cockpit')},
{combos = {{key = 'Num6', reformers = {'RAlt'}}}, down = iCommandViewCameraRightSlow, name = _('Camera view right slow'), category = _('View Cockpit')},
{combos = {{key = 'Num7', reformers = {'RAlt'}}}, down = iCommandViewCameraUpLeftSlow, name = _('Camera view up-left slow'), category = _('View Cockpit')},
{combos = {{key = 'Num1', reformers = {'RAlt'}}}, down = iCommandViewCameraDownLeftSlow, name = _('Camera view down-left slow'), category = _('View Cockpit')},
{combos = {{key = 'Num9', reformers = {'RAlt'}}}, down = iCommandViewCameraDownRight, name = _('Camera view down-right slow'), category = _('View Cockpit')},
{combos = {{key = 'Num3', reformers = {'RAlt'}}}, down = iCommandViewCameraUpRightSlow, name = _('Camera view up-right slow'), category = _('View Cockpit')},
{combos = {{key = 'Num5', reformers = {'RShift'}}}, down = iCommandViewCameraCenter, name = _('Center camera view'), category = _('View Cockpit')},
{combos = {{key = 'Num5', reformers = {'RCtrl'}}}, down = iCommandViewCameraReturn, name = _('Return camera'), category = _('View Cockpit')},
{combos = {{key = 'Num5', reformers = {'RAlt'}}}, down = iCommandViewCameraBaseReturn, name = _('Return camera base'), category = _('View Cockpit')},

{combos = {{key = 'Num0', reformers = {'LWin'}}}, down = iCommandViewSnapView0, up = iCommandViewSnapViewStop, name = _('Snap View 0'), category = _('View Cockpit')},
{combos = {{key = 'Num1', reformers = {'LWin'}}}, down = iCommandViewSnapView1, up = iCommandViewSnapViewStop, name = _('Snap View 1'), category = _('View Cockpit')},
{combos = {{key = 'Num2', reformers = {'LWin'}}}, down = iCommandViewSnapView2, up = iCommandViewSnapViewStop, name = _('Snap View 2'), category = _('View Cockpit')},
{combos = {{key = 'Num3', reformers = {'LWin'}}}, down = iCommandViewSnapView3, up = iCommandViewSnapViewStop, name = _('Snap View 3'), category = _('View Cockpit')},
{combos = {{key = 'Num4', reformers = {'LWin'}}}, down = iCommandViewSnapView4, up = iCommandViewSnapViewStop, name = _('Snap View 4'), category = _('View Cockpit')},
{combos = {{key = 'Num5', reformers = {'LWin'}}}, down = iCommandViewSnapView5, up = iCommandViewSnapViewStop, name = _('Snap View 5'), category = _('View Cockpit')},
{combos = {{key = 'Num6', reformers = {'LWin'}}}, down = iCommandViewSnapView6, up = iCommandViewSnapViewStop, name = _('Snap View 6'), category = _('View Cockpit')},
{combos = {{key = 'Num7', reformers = {'LWin'}}}, down = iCommandViewSnapView7, up = iCommandViewSnapViewStop, name = _('Snap View 7'), category = _('View Cockpit')},
{combos = {{key = 'Num8', reformers = {'LWin'}}}, down = iCommandViewSnapView8, up = iCommandViewSnapViewStop, name = _('Snap View 8'), category = _('View Cockpit')},
{combos = {{key = 'Num9', reformers = {'LWin'}}}, down = iCommandViewSnapView9, up = iCommandViewSnapViewStop, name = _('Snap View 9'), category = _('View Cockpit')},

{combos = {{key = 'F1', reformers = {'LWin'}}} , down = iCommandViewPitHeadOnOff, name = _('Head shift movement on / off'), category = _('View Cockpit')},

{combos = {{key = 'Num/', reformers = {'RShift'}}}, pressed = iCommandViewBack, up = iCommandViewBackStop, name = _('Zoom out'), category = _('View Cockpit')},
{combos = {{key = 'Num*', reformers = {'RShift'}}}, pressed = iCommandViewForward, up = iCommandViewForwardStop, name = _('Zoom in'), category = _('View Cockpit')},
{down = iCommand_ExplorationStart, name = _('Enable exploration mode'), category = _('View Cockpit')},

-- Cockpit Camera Motion (Передвижение камеры в кабине)
{combos = {{key = 'Num8', reformers = {'RCtrl','RShift'}}}, pressed = iCommandViewPitCameraMoveUp, up = iCommandViewPitCameraMoveStop, name = _('Cockpit Camera Move Up'), category = _('View Cockpit')},
{combos = {{key = 'Num2', reformers = {'RCtrl','RShift'}}}, pressed = iCommandViewPitCameraMoveDown, up = iCommandViewPitCameraMoveStop, name = _('Cockpit Camera Move Down'), category = _('View Cockpit')},
{combos = {{key = 'Num4', reformers = {'RCtrl','RShift'}}}, pressed = iCommandViewPitCameraMoveLeft, up = iCommandViewPitCameraMoveStop, name = _('Cockpit Camera Move Left'), category = _('View Cockpit')},
{combos = {{key = 'Num6', reformers = {'RCtrl','RShift'}}}, pressed = iCommandViewPitCameraMoveRight, up = iCommandViewPitCameraMoveStop, name = _('Cockpit Camera Move Right'), category = _('View Cockpit')},
{combos = {{key = 'Num*', reformers = {'RCtrl','RShift'}}}, pressed = iCommandViewPitCameraMoveForward, up = iCommandViewPitCameraMoveStop, name = _('Cockpit Camera Move Forward'), category = _('View Cockpit')},
{combos = {{key = 'Num/', reformers = {'RCtrl','RShift'}}}, pressed = iCommandViewPitCameraMoveBack, up = iCommandViewPitCameraMoveStop, name = _('Cockpit Camera Move Back'), category = _('View Cockpit')},
{combos = {{key = 'Num5', reformers = {'RCtrl','RShift'}}}, down = iCommandViewPitCameraMoveCenter, name = _('Cockpit Camera Move Center'), category = _('View Cockpit')},

{combos = {{key = 'F1', reformers = {'LShift'}}},  down = iCommandViewTransposeModeOn, up = iCommandViewTransposeModeOff, name = _('Camera transpose mode on/off'), category = _('View Cockpit')},

-- View Extended
{combos = {{key = 'J', reformers = {'LShift'}}}, down = iCommandViewCameraJiggle, name = _('Camera jiggle toggle'), category = _('View Extended')},
{combos = {{key = 'K', reformers = {'LAlt'}}}, down = iCommandViewKeepTerrain, name = _('Keep terrain camera altitude'), category = _('View Extended')},
{combos = {{key = 'Num+', reformers = {'RCtrl'}}}, down = iCommandViewPlus, name = _('Camera ordnance tracking'), category = _('View Extended')},
{combos = {{key = 'F', reformers = {'RCtrl','RShift','RAlt'}}}, down = iCommandViewFriends, name = _('View friends mode'), category = _('View Extended')},
{combos = {{key = 'D', reformers = {'RCtrl','RShift','RAlt'}}}, down = iCommandViewEnemies, name = _('View enemies mode'), category = _('View Extended')},
{combos = {{key = 'A', reformers = {'RCtrl','RShift','RAlt'}}}, down = iCommandViewAll, name = _('View all mode'), category = _('View Extended')},

-- View Padlock
{combos = {{key = 'Num.'}}, down = iCommandViewLock, name = _('Lock view (cycle padlock)'), category = _('View Padlock')},
{combos = {{key = 'NumLock'}}, down = iCommandViewUnlock, name = _('Unlock view (stop padlock)'), category = _('View Padlock')},
{combos = {{key = 'Num.', reformers = {'RShift'}}}, down = iCommandAllMissilePadlock, name = _('All missiles padlock'), category = _('View Padlock')},
{combos = {{key = 'Num.', reformers = {'RAlt'}}}, down = iCommandThreatMissilePadlock, name = _('Threat missile padlock'), category = _('View Padlock')},
{combos = {{key = 'Num.', reformers = {'RCtrl'}}}, down = iCommandViewTerrainLock, name = _('Lock terrain view'), category = _('View Padlock')},

--Night Vision Goggles
--{combos = {{key = 'H', reformers = {'RShift'}}}		   , 	down    = iCommandViewNightVisionGogglesOn   , name = _('Night Vision Goggles On/Off')   , category = _('Night Vision Goggles')},
{combos = {{key = 'H', reformers = {'RShift'}}}, down = device_commands.Button_5, up = device_commands.Button_5, cockpit_device_id = devices.HEAD_WRAPPER, value_down = 1, value_up = 0, name = _('SA342 Night Vision Goggles On/Off'), category = _('Night Vision Goggles')},
{combos = {{key = 'H', reformers = {'RShift','RCtrl'}}}, 	pressed = iCommandPlane_Helmet_Brightess_Up  , name = _('Night Vision Goggles Gain Up')  , category = _('Night Vision Goggles')},
{combos = {{key = 'H', reformers = {'RShift','RAlt'}}} , 	pressed = iCommandPlane_Helmet_Brightess_Down, name = _('Night Vision Goggles Gain Down'), category = _('Night Vision Goggles')},

-- Systems
{combos = {{key = 'C', reformers = {'RCtrl'}}}, down = iCommandPlaneFonar, name = _('Cockpit door open/close'), category = _('Systems')},
--{combos = {{key = 'C', reformers = {'RCtrl'}}}, down = device_commands.Button_16, cockpit_device_id = devices.FLIGHT_CONTROLS, value_down = 1,name = _('Cockpit door open/close'), category = _('Systems')},
--{combos = {{key = 'E', reformers = {'LCtrl'}}}, down = iCommandPlaneEject, name = _('Eject (3 times)'), category = _('Systems')},

-- Radio Communications
{combos = {{key = '\\'}}, down = iCommandToggleCommandMenu, name = _('Communication menu'), category = _('Radio Communications')},
{combos = {{key = 'E', reformers = {'LWin'}}}, down = iCommandPlaneDoAndHome, name = _('Flight - Complete mission and RTB'), category = _('Radio Communications')},
--{combos = {{key = 'R', reformers = {'LWin'}}}, down = iCommandPlaneDoAndBack, name = _('Flight - Complete mission and rejoin'), category = _('Radio Communications')},
{combos = {{key = 'T', reformers = {'LWin'}}}, down = iCommandPlaneFormation, name = _('Toggle formation'), category = _('Radio Communications')},
{combos = {{key = 'Y', reformers = {'LWin'}}}, down = iCommandPlaneJoinUp, name = _('Join up formation'), category = _('Radio Communications')},
--{combos = {{key = 'Q', reformers = {'LWin'}}}, down = iCommandPlaneAttackMyTarget, name = _('Attack my target'), category = ('Radio Communications')},
{combos = {{key = 'W', reformers = {'LWin'}}}, down = iCommandPlaneCoverMySix, name = _('Cover me'), category = _('Radio Communications')},
{combos = {{key = 'G', reformers = {'LWin'}}}, down = iCommandPlane_EngageGroundTargets, name = _('Flight - Attack ground targets'), category = _('Radio Communications')},
{combos = {{key = 'D', reformers = {'LWin'}}}, down = iCommandPlane_EngageAirDefenses, name = _('Flight - Attack air defenses'), category = _('Radio Communications')},
{combos = {{key = '\\', reformers = {'LShift'}}}, down = ICommandSwitchDialog, name = _('Switch dialog'), category = _('Radio Communications')},
--{combos = {{key = '\\', reformers = {'LCtrl'}}}, down = ICommandSwitchToCommonDialog, name = _('Switch to main menu'), category = ('Radio Communications')},

-- Labels
{down = iCommandMarkerState, name = _('All Labels'), category = _('Labels')},
{down = iCommandMarkerStatePlane, name = _('Aircraft Labels'), category = _('Labels')},
{down = iCommandMarkerStateRocket, name = _('Missile Labels'), category = _('Labels')},
{down = iCommandMarkerStateShip, name = _('Vehicle & Ship Labels'), category = _('Labels')},

},
}
